Mark Listing as failed
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/offer/listing-failed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerList": [
{
"sellerId": "4711",
"offerId": 5437233,
"errorList": [
{
"code": "CHN500",
"message": "Global attribute brand not found",
"longMessage": "This is a long and more detailed error messages",
"relatedAttributeId": "global:mpi",
"recommendedValue": "MPI_OLEOLE1234"
}
],
"failedAt": "2019-07-01T15:43:21+00:00"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/offer/listing-failed"
payload = { "offerList": [
{
"sellerId": "4711",
"offerId": 5437233,
"errorList": [
{
"code": "CHN500",
"message": "Global attribute brand not found",
"longMessage": "This is a long and more detailed error messages",
"relatedAttributeId": "global:mpi",
"recommendedValue": "MPI_OLEOLE1234"
}
],
"failedAt": "2019-07-01T15:43:21+00:00"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offerList: [
{
sellerId: '4711',
offerId: 5437233,
errorList: [
{
code: 'CHN500',
message: 'Global attribute brand not found',
longMessage: 'This is a long and more detailed error messages',
relatedAttributeId: 'global:mpi',
recommendedValue: 'MPI_OLEOLE1234'
}
],
failedAt: '2019-07-01T15:43:21+00:00'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/offer/listing-failed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
Mark Listing as failed
Mark a offer listing as failed
POST
/
v1
/
channel
/
offer
/
listing-failed
Mark Listing as failed
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
List of offers whose listing on the channel has failed, including the error reason.
Batch of offers whose listing on the channel has failed, including the failure reason per offer.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Errors received
Was this page helpful?
⌘I